/**
 * @license
 * Copyright (c) Nelson Dominguez All Rights Reserved.
 *
 * Use of this source code is governed by a MIT-style license that
 * can found in the LICENSE file at the root of this project.
 */
import { ModuleWithProviders } from '@angular/core';
import { NgxDynamicScriptLoaderConfig } from './ngx-dynamic-script-loader.config';
import * as i0 from "@angular/core";
/**
 *
 * @publicApi
 */
export declare class NgxDynamicScriptLoaderModule {
    static withConfig(options: Partial<NgxDynamicScriptLoaderConfig>): ModuleWithProviders<NgxDynamicScriptLoaderModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxDynamicScriptLoaderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxDynamicScriptLoaderModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxDynamicScriptLoaderModule>;
}
